module HashWrapper
  def self.included(base)
    base.send(:attr_reader,:data)
  end

  def initialize(data)
    @data = data
  end

  def ==(object)
    @data == object.data
  end

  def method_missing(method, *args, &block)
    super unless self.class::FIELDS.include?(method)
    data[method].to_s
  end
end
